as3compile(1)

NAME
as3compile - Compile .as ActionScript 3.0 files to swf.

Synopsis
as3compile file.as [-o file.swf]

DESCRIPTION
Compiles a file written in ActionScript 3.0 to a SWF file.

OPTIONS

-h, --help
        Print short help message and exit

-V, --version
        Print version info and exit

-v, --verbose
        Increase verbosity

-q, --quiet
        Decrease verbosity

-C, --cgi
        Output to stdout (for use in CGI environments)

-R, --resolve
        This flag will cause the compiler to try filenames like "FooBar.as" for classes named "FooBar".

-D, --define namespace::variable
        Set a compile time variable (for doing conditional compilation)

-X, --width
        Set target SWF width

-Y, --height
        Set target SWF width

-r, --rate
        Set target SWF framerate

-M, --mainclass
        Set the name of the main class (extending flash.display.MovieClip)

-l, --library file
        Include library file file. <file> can be an .abc or .swf file.

-I, --include dir
        Add additional include dir dir.

-N, --local-with-network
        Make output file "local with networking"

-L, --local-with-filesystem
        Make output file "local with filesystem"

-T, --flashversion num
        num must be >= 9.

-o, --output filename
        Set output file to filename.

EXAMPLE
 The following is a basic as3 file that can be compiled e.g.
 with as3compile -X 400 -Y 400 smiley.as
 // smiley.as
 package
 {
     import flash.display.MovieClip

     public class Main extends MovieClip
     {
         function Main()
         {
             this.graphics.beginFill(0xcccc00)
             this.graphics.drawCircle(200,200,200)
             this.graphics.endFill()
             this.graphics.beginFill(0x000000)
             this.graphics.drawCircle(140,150,50)
             this.graphics.drawCircle(260,150,50)
             this.graphics.drawRoundRect(140,270,120,10,20);
             this.graphics.endFill()
         }
     }
 }

AUTHOR
Matthias Kramm <kramm@quiss.org>